Admin/Create Agent
POST /v1/admin/agents

Create Agent

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/agents \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "agent": {
         "first_name": "Ahmad",
         "last_name": "Salman",
         "image": {
           "id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6"
         },
         "email": "dummy@domain.com",
         "phone": "+94000000000",
         "gender": "male",
         "country": "AE",
         "cc_profile": {
           "id": "1234",
           "auto_answer": false,
           "wrap_up_time": 10,
           "timeout": 30,
           "retry_delay": 30,
           "roaming_phone": "+94000000001",
           "roaming": true,
           "status_id": "dc788d2e-ca37-41e3-b440-85ae6f8cd4c6"
         }
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

agent▾
object
id
string
first_name
string
last_name
string
image▾
null | object when image is attached, object with id, otherwise null will be returned
id
string
email
string
phone
null | string
gender
null | string
country
null | string
last_login_at
string
created_at
string
updated_at
string
cc_profile▾
object
id
string
auto_answer
boolean
wrap_up_time
number
timeout
number
retry_delay
number
roaming_phone
string
roaming
boolean
state
string
status_id
string
connections_count
number
connection_ping_time
number
connection_pinged_at
string
connection_ip
string
connection_status
string